# This crate is no longer maintained

RCC has been renamed to `saltwater`.
If you are looking for the documentation, it is now at <https://docs.rs/saltwater>.

## Why rename rcc?

rcc is a great name for a Rust C compiler. Unfortunately,
that binary name is already being used by the QT project for their
resource compiler: https://doc.qt.io/qt-5/rcc.html. This causes a lot of
confusion when people run `rcc` with QT installed.

## Why saltwater?

I didn't want to go with synonyms for 'clang' because this is a separate
project which reuses no code or libraries from LLVM. There is an
informal tradition in Rust for having somewhat clever names, so I chose
'saltwater' since it's part of the sea (C) and is corrosive (causes rust).

## Saltwater is pretty long to type, is that really the new binary name?

No, the binary name is `swcc` (and eventually `swcpp`).
